#2441 closed defect (fixed)

lpc1768 variants fail to build with error in gpio.c

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

arm-lpc1768_mbed_ahb_ram_eth
arm-lpc1768_mbed_ahb_ram
arm-lpc1768_mbed

In file included from ../../../../../../../../rtems/c/src/lib/libbsp/arm/lpc176x/gpio/gpio.c:25:0:
../../../../../.././lpc1768_mbed_ahb_ram_eth/lib/include/bsp/gpio.h:28:4: error: #error "BSP_GPIO_PIN_COUNT or BSP_GPIO_PINS_PER_BANK is not defined."

#error "BSP_GPIO_PIN_COUNT or BSP_GPIO_PINS_PER_BANK is not defined."


../../../../../.././lpc1768_mbed_ahb_ram_eth/lib/include/bsp/gpio.h:32:4: error: #error "Invalid BSP_GPIO_PIN_COUNT or BSP_GPIO_PINS_PER_BANK."

#error "Invalid BSP_GPIO_PIN_COUNT or BSP_GPIO_PINS_PER_BANK."


../../../../../.././lpc1768_mbed_ahb_ram_eth/lib/include/bsp/gpio.h:41:5: error: division by zero in #if

#if GPIO_LAST_BANK_PINS > 0


../../../../../../../../rtems/c/src/lib/libbsp/arm/lpc176x/gpio/gpio.c:29:8: error: unknown type name 'lpc176x_registered_interrupt_function'

static lpc176x_registered_interrupt_function function_vector[


../../../../../../../../rtems/c/src/lib/libbsp/arm/lpc176x/gpio/gpio.c:30:3: error: 'LPC176X_RESERVED_ISR_FUNCT_SIZE' undeclared here (not in a function)

LPC176X_RESERVED_ISR_FUNCT_SIZE ];

../../../../../../../../rtems/c/src/lib/libbsp/arm/lpc176x/gpio/gpio.c:35:9: error: unknown type name 'lpc176x_gpio_direction'

const lpc176x_gpio_direction dir

Change History (4)

comment:1 Changed on Nov 4, 2015 at 6:44:51 AM by Sebastian Huber

This BSP is not maintained by us.

comment:2 Changed on Nov 5, 2015 at 2:28:51 PM by Martin Galvan <martin.galvan@…>

Resolution: fixed
Status: newclosed

In 1d55e157ca9f4a9ff806f8fa5fcc79b03a7b8178/rtems:

LPC1768: Fix compilation error

The LPC1768 variants have a gpio.h file whose name clashes with the gpio.h from
the new GPIO API. This results on the BSPs failing to compile.

This patch renames the LPC1768 gpio.* files to lpc-gpio.*, as it's done on other
BSPs (e.g. Beaglebone).

Closes #2441.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.